Bug 443515 - libgphoto timeouts on Canon cameras (upgrade to >= 2.4.1?)
libgphoto timeouts on Canon cameras (upgrade to >= 2.4.1?)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
: 436138 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 18:20 EDT by Axel Thimm
Modified: 2013-07-02 19:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-04-21 18:20:20 EDT
Description of problem:
Currently both gphoto2 and gthumb-import fail with

*** Error (-114: 'OS error in camera communication') ***

The release notes to 2.4.1 say:

Canon driver:
   * Increased the event timeout, so operations work again.
   * Fixed a bug in interval capture
   * some additional configuration values for newer cameras


Version-Release number of selected component (if applicable):
2.4.0

How reproducible:
always

Steps to Reproduce:
1.plug camera via USB
2.
3.
  
Actual results:
gphoto/import fails as written above, so does gphoto2 -L.

Expected results:
Should be able to read the camera's files/folders.

Additional info:
0.903937 gphoto2-port(2): Current timeout: 5000 milliseconds
0.903948 gphoto2-port(2): Setting timeout to 75 millisecond(s)...
0.903957 canon/canon/usb.c(2): canon_usb_camera_init() read_bytes=0x0
0.903968 gphoto2-port(2): Reading 16=0x10 bytes from interrupt endpoint...
0.980928 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
0.980973 canon/canon/usb.c(2): canon_usb_camera_init() interrupt read returned
only 0 bytes, status=-10
0.980988 gphoto2-port(2): Closing port...
*** Error (-114: 'OS error in camera communication') ***       

The 75ms are probably too low for some Canon models, this parameter was upped to
150ms in 2.4.1, and some report that they need an even higher timeout.
Comment 1 Bug Zapper 2008-05-14 05:54:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bradley 2008-06-01 10:12:40 EDT
2.4.1 does appear to fix this. I locally tried a new RPM, and after dropping one
patch that it upstream and changing all the paths in the patches from 2.4.0 to
2.4.1, it works.

Can a 2.4.1 update please get built/pushed?
Comment 3 Bradley 2008-06-01 10:12:54 EDT
*** Bug 436138 has been marked as a duplicate of this bug. ***
Comment 4 Jindrich Novy 2008-06-12 03:34:03 EDT
gphoto2 and libgphoto2 is now upgraded to 2.4.1 in rawhide. I needed a bit of
rel-eng assistance because yum in koji didn't handle package splits correctly.

If everything works fine with F9, I'll also push F9 updates.
Comment 5 Daniel Duggan 2008-06-20 23:06:30 EDT
I also have a Canon Digital Camera 
+++++++++++++++++++++++++++++++++++++++++++++++
Bus 006 Device 003: ID 04a9:30b4 Canon, Inc. PowerShot S500
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        32
  idVendor           0x04a9 Canon, Inc.
  idProduct          0x30b4 PowerShot S500
  bcdDevice            0.01
  iManufacturer           1 Canon Inc.
  iProduct                2 Canon Digital Camera
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           39
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           3
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              96
Device Status:     0x0001
  Self Powered
+++++++++++++++++++++++++++++++++++++++++++++++
And was unable to mount / unmount /import using gthumb-import, gphoto2 or
digikam in Fedora 9
$ uname -r
2.6.25.6-55.fc9.x86_64

I installed the following packages from Rawhide/Devel 

Jun 20 22:47:00 Installed: libgphoto2-2.4.1-5.fc10.x86_64
Jun 20 22:47:02 Installed: libgphoto2-2.4.1-5.fc10.i386
Jun 20 22:47:08 Installed: libgphoto2-devel-2.4.1-5.fc10.x86_64
Jun 20 22:47:09 Updated: gphoto2-2.4.1-1.fc10.i386
Jun 20 22:47:10 Updated: gphoto2-2.4.1-1.fc10.x86_64
Jun 20 22:47:11 Installed: libgphoto2-devel-2.4.1-5.fc10.i386


And I am now able to use my Camera ..... :)

Thanks
Comment 6 Matthew Hannigan 2008-06-21 02:18:35 EDT
I tried installing the rawhide libgphoto2-2.4.1-3.fc10.
I'm still getting error -114 with my powershot A400 in ptp mode.

I installed this one on a separate installation of f9 in
a vmware instance (in case it matters)

(see bug 429173 also)
Comment 7 Axel Thimm 2008-06-21 07:18:33 EDT
(In reply to comment #6)
> I installed this one on a separate installation of f9 in
> a vmware instance (in case it matters)

since this is a timing issue, the virtual usb wrapper may be messing with it, so
please try w/o vmware if possible. Thanks!
Comment 8 Matthew Hannigan 2008-06-22 06:28:46 EDT
Ok, I installed f9 from scratch on a different machine,
updated it to the latest, rebooted, enabled rawhide, updated,
rebooted, then tried attaching the camera.

I got the gnome dialog window:

Unable to mount Canon, Inc. PowerShot A400 / PowerShot A400 (PTP mode)
DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply
(timeout by message bus)

/var/log/messages showed:
Jun 22 17:51:05 blackie kernel:<6>usb 2-2: new full speed USB device using
ohci_hcd and addre
ss 4
Jun 22 17:51:05 blackie kernel:<6>usb 2-2: configuration #1 chosen from 1 choice
Jun 22 17:51:05 blackie kernel:<6>usb 2-2: New USB device found, idVendor=04a9,
idProduct=30b
7
Jun 22 17:51:05 blackie kernel:<6>usb 2-2: New USB device strings: Mfr=1,
Product=2, SerialNu
mber=0
Jun 22 17:51:05 blackie kernel:<6>usb 2-2: Product: Canon Digital Camera
Jun 22 17:51:05 blackie kernel:<6>usb 2-2: Manufacturer: Canon Inc.
Jun 22 17:51:07 blackie kernel:<6>gvfsd-gphoto2[2684]: segfault at c ip 0043fa00
sp bf8059b4 
error 4 in libpthread-2.8.90.so[438000+16000]




Comment 9 Matthew Hannigan 2008-06-22 06:55:17 EDT
Hm, I rebooted and got further; I got the gthumb 'import photos' dialog,
but had the following error:

An error occurred in the io-library ('Could not lock the device'): Camera is
already in use.

Other info:
kernel: 2.6.26-0.74.rc6.git4.fc10.i686

# rpm -qa '*gphoto*'
libgphoto2-2.4.1-5.fc10.i386
libgphoto2-devel-2.4.1-5.fc10.i386
Comment 10 Jindrich Novy 2008-08-03 15:50:06 EDT
Could you please try again with the new gphoto2/libgphoto2 2.4.2, which is currently in rawhide?
Comment 11 Axel Thimm 2008-08-03 17:30:51 EDT
It already works with 2.4.1, but it required a rebuild on F9.

I suggest to push updates for F9.
Comment 12 Michael J. Chudobiak 2008-08-12 10:51:30 EDT
Yes, please provide an F9 update. My Canon IXUS 850 IS no longer works with F9. The PTP mode seems broken, and the USB mass storage mode is no longer provided for some reason. Bug 447290 may be directly related.

- Mike (a gThumb developer)
Comment 13 Daniel Duggan 2008-08-17 22:03:35 EDT
Hello:
I rebuilt the gphoto2/libgphoto2 2.4.2 (from Rawhide) on F9 x86_64 and on F9 i386
$ uname -r
2.6.25.14-108.fc9.x86_64

rpm -qa '*gphoto*'
libgphoto2-devel-2.4.2-1.fc9.x86_64
libgphoto2-devel-2.4.2-1.fc9.i386
libgphoto2-2.4.2-1.fc9.i386
gphoto2-2.4.2-4.fc9.i386
libgphoto2-2.4.2-1.fc9.x86_64
gphoto2-2.4.2-4.fc9.x86_64

And all appears to work well with my Canon Digital Camera PowerShot S500

# tail -f /var/log/messages
Aug 17 21:54:41 fedora9 kernel: usb 6-2: Product: Canon Digital Camera
Aug 17 21:54:41 fedora9 kernel: usb 6-2: Manufacturer: Canon Inc.
Aug 17 21:59:23 fedora9 kernel: usb 6-2: USB disconnect, address 4
Aug 17 21:59:47 fedora9 kernel: hub 2-0:1.0: unable to enumerate USB device on port 2
Aug 17 21:59:47 fedora9 kernel: usb 6-2: new full speed USB device using uhci_hcd and address 5
Aug 17 21:59:48 fedora9 kernel: usb 6-2: configuration #1 chosen from 1 choice
Aug 17 21:59:48 fedora9 kernel: usb 6-2: New USB device found, idVendor=04a9, idProduct=30b4
Aug 17 21:59:48 fedora9 kernel: usb 6-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 17 21:59:48 fedora9 kernel: usb 6-2: Product: Canon Digital Camera
Aug 17 21:59:48 fedora9 kernel: usb 6-2: Manufacturer: Canon Inc.


Tried it successfully with gThumb, digiKam and F-spot
Comment 14 Bug Zapper 2009-06-09 20:20:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-07-14 11:35:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.